package org.caosdb.server.resource.transaction.handlers;

import org.caosdb.server.entity.container.RetrieveContainer;
import org.caosdb.server.resource.transaction.EntityResource;

public class GetNamesRequestHandler extends RequestHandler<RetrieveContainer> {

  /** Adds the `names` flag to the RetrieveContainer which triggers the RetrieveAllNames job. */
  @Override
  public void handle(EntityResource t, RetrieveContainer container) throws Exception {
    container.getFlags().put("names", null);
  }
}
