package org.caosdb.server.resource.transaction;

import org.caosdb.server.entity.container.RetrieveContainer;
import org.caosdb.server.resource.transaction.handlers.GetNamesRequestHandler;
import org.caosdb.server.resource.transaction.handlers.RequestHandler;

public class EntityNamesResource extends EntityResource {

  public EntityNamesResource() {
    // only get is allowed
    super(true, false, false, false);
  }

  @Override
  protected RequestHandler<RetrieveContainer> getGetRequestHandler() {
    return new GetNamesRequestHandler();
  }
}
